package de.jg_cody.Teraplex.ui.Einstellungen;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import com.rarepebble.colorpicker.ColorPickerView;

import de.jg_cody.Teraplex.R;

public class EinstellungenFragment extends Fragment {

    private EinstellungenViewModel einstellungenViewModel;
    Button button_colorpicker;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        einstellungenViewModel =
                new ViewModelProvider(this).get(EinstellungenViewModel.class);
        View root = inflater.inflate(R.layout.fragment_einstellungen, container, false);
        final TextView textView = root.findViewById(R.id.text_einstellungen);
        einstellungenViewModel.getText().observe(getViewLifecycleOwner(), new Observer<String>() {
            @Override
            public void onChanged(@Nullable String s) {
                textView.setText(s);
            }
        });
        button_colorpicker = (Button) root.findViewById(R.id.button_colorpicker);
        button_colorpicker.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                try {
                    Toast.makeText(getContext(), "Colorpicker", Toast.LENGTH_SHORT).show();
                    final ColorPickerView picker = new ColorPickerView(getContext());
                    picker.setColor(0xff12345);
                    new AlertDialog.Builder(getContext()).setView(picker).setTitle(R.string.colorpicker).setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {

                        }
                    }).show();
                } catch (Exception e) {
                }
            }
        });

        return root;
    }
}